Subject: bug#55529: [PATCH] Add support for the Tagalog script

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Fri, 20 May 2022 22:01:28 +0530

>
> And if you are talking mainly about a script, then its name is
> Baybayin, no?  Tagalog is a language, not a script, right?

Yes, I was confused about that too, the Unicode documents only mention
Tagalog and not Baybayin.
This wikipedia page: https://en.wikipedia.org/wiki/Tagalog_(Unicode_block)
says that the Tagalog script is a variety of the Baybayin script.
But still in etc/HELLO, I have used Baybayin as the native name, should I
also change its English name? I was also thinking about changing the
input method from Tagalog to Baybayin, should I do that?

Is this really so important?  The Wikipedia article says that Filipino
> is a version of Tagalog standardized by the constitution of 1987.
> Wouldn't it be better to support a modern language used nowadays and
> not just its older version?
>

Doesn't the modern language use the Roman script, instead of Baybayin?

Looking at this another way: what will an Emacs user expect to find in
> Emacs as the supported language for the Philippines?
>

Atleast according to me, correct me if I am  a filipino user will use the
Roman script for the filipino language, while writing Tagalog he may look
for Baybayin, which we
have provided under the Tagalog language environment.

On Fri, May 20, 2022 at 9:37 PM Eli Zaretskii <[email-masked]> wrote:

> > From: समीर सिंह Sameer Singh <[email-masked]>
> > Date: Fri, 20 May 2022 21:14:04 +0530
> > Cc: [email-masked]
> >
> >  I think this entry should not be together with the old Indic scripts,
> >  it should be separate from them.  Especially if you intend to add more
> >  scripts/languages used in the Philippines.
> >
> > Tagalog and other philippine scripts also descend from Brahmi. They are
> also superseded by the Roman
> > script, so I would consider them as old.
>
> Fine with me, if you insist.  But I raised a brow when I saw that,
> FWIW.
>
> And if you are talking mainly about a script, then its name is
> Baybayin, no?  Tagalog is a language, not a script, right?
>
> >  I wonder whether we should call the language-environment "Tagalog".
> >  Why not "Filipino", which AFAIU is the official language name?
> >  Perhaps also for the input method.
> >
> > AFAICT from the internet, Tagalog and Filipino are two different
> languages, Filipino is Tagalog with foreign
> > loanwords, for e.g. the Filipino word for a chair is "silya" (from
> Spanish)
> > while in Tagalog it is "salumpuwit".
>
> Is this really so important?  The Wikipedia article says that Filipino
> is a version of Tagalog standardized by the constitution of 1987.
> Wouldn't it be better to support a modern language used nowadays and
> not just its older version?
>
> Looking at this another way: what will an Emacs user expect to find in
> Emacs as the supported language for the Philippines?
>